/******************************************************************************
 * envDriver.h
 ******************************************************************************
 * Driver routines for the Environmental Fan Card Board
 *
 * Created - 03/20/2002
 *
 * Version	Date		Intls	Comments
 * -------	----------	-----	---------------------------------------
 * 1.00.00	07/06/2002	gatjr	initial release
 * 1.00.01	07/28/2002	gatjr	Added full functionality
 *
 *
 * Header file may lag C file in update, Check C file for more information
 ******************************************************************************
 *
 * f=envOpen(address)			- Open board for access, set address
 * f=envSetup()			- Initialize board
 *
 * b=envDiagLED(state)		- Read and set Diagnostic LED state
 *
 * i=envReadCfg()			- Read configuration jumpers
 * i=envReadDig()			- Read digital inputs
 * i=envReadAna(channel)		- Read analog voltage
 *
 * envInitTemp()					- Initialize temp. sys
 * envReadTemp(*TempNow,*TempHi,*TempLo,*TempCfg)	- Read temp. values
 * envWriteTemp (TempHi,TempLo)			- Set temp. limits
 *
 ******************************************************************************
 * (C) Copyright 2002 parvus Corporation.  All rights reserved.
 ******************************************************************************/

////////////////////////////////////////////////////////////////////////////////
// Prototypes

//Initialization
int envOpen(int address);
int envSetup(void);
int envDiagLED(int state);

// I/O
int envReadCfg(void);
int envReadDig(void);
int envSetDig(int value);
int envReadAna(int channel);
int envFan(int value);
int envSetEnables(int value);

// Temperature
void envInitTemp(int ch);
void envReadTemp(int *TempNow, int *TempHi, int *TempLo, int *TempCfg, int ch);
void envWriteTemp (int TempHi, int TempLo, int ch);

